## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csFmtDefaultWriter< T > Class Template Reference
[Utilities]

Standard formatted string destination for csPrintfFormatter. More...

`#include <csutil/formatter.h>`

List of all members.

## Public Member Functions

| csFmtDefaultWriter (T *dest, size_t size)
| Init with a string and a maximum length.
size_t | GetTotal () const
| Get number of chars that have been sent to the write (all, not only those that did fit into the buffer).
void | Put (utf32_char ch)
| Write a char.

## Detailed Description

### template<class T>
class csFmtDefaultWriter< T >

Standard formatted string destination for csPrintfFormatter.

Remarks:
  Uses csUnicodeTransform::Decode(), so it supports utd8_char, utf16_char, utf32_char and wchar_t strings.

Definition at line 114 of file formatter.h.

## Constructor & Destructor Documentation

template<class T>
csFmtDefaultWriter< T >::csFmtDefaultWriter | ( | T * | dest,
|  | size_t | size
| ) | `[inline]`

| Init with a string and a maximum length. Definition at line 121 of file formatter.h.

## Member Function Documentation

template<class T>
size_t csFmtDefaultWriter< T >::GetTotal | ( |  | ) | const`[inline]`

| Get number of chars that have been sent to the write (all, not only those that did fit into the buffer). Definition at line 136 of file formatter.h.

template<class T>
void csFmtDefaultWriter< T >::Put | ( | utf32_char | ch | ) | `[inline]`

| Write a char. Definition at line 124 of file formatter.h. References csMin(), and csUnicodeTransform::Encode().

The documentation for this class was generated from the following file:

- csutil/formatter.h